#include "slime.h"

int main(int argc, char* argv[]) {
    if (argc > 1) {
        if (Slime::string_equal(argv[1], "--run-tests")) {
            return Slime::run_all_tests() ? 0 : 1;
        }

        Slime::interprete_file(argv[1]);
        if (Slime::error) {
            Slime::log_error();
            return 1;
        }
    } else {
        Slime::interprete_stdin();
    }
}
